<?php
/*********************************************************
* DO NOT REMOVE *

Project: PHP Photo Gallery 1.0
Url: http://www.phpgalleryscript.org/

License------------------------------------------------:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
End License----------------------------------------------

*********************************************************/

session_start();
if($_SESSION['admin']!='')
{
	@set_time_limit(300);
	require_once('../jadro/base.php');
	require_once('../jadro/libs/xajax/xajax.inc.php');
	require_once('../jadro/functions.php');
	require_once('../jadro/categories.inc.php');
	require_once('../jadro/core.func.inc.php');
	require_once('../jadro/libs/thumbnailer/thumbnail.inc.php');
	require_once('../jadro/photo.inc.php');
	require_once('../jadro/libs/phpwatermark/watermark.php');

	if($_GET['c']=='')
	{
		@header('HTTP/1.1 301 Moved Permanently');
		@header('Location: ' . SITE_URL);
		exit();
	}

	definevars("where id='REWRITE_ENABLED' or id='THUMBNAIL_WIDTH' or id='THUMBNAIL_HEIGHT' or id='THUMBNAIL_CONSTRAIN'  or id='WATERMARK'");

	global $xajax;
	$xajax = new xajax();

	$xajax->registerFunction('ajax_deletealbum');
	$xajax->registerFunction('ajax_savealbum');

	function ajax_savealbum($ar)
	{
		global $db,$table;

		$resp=New xajaxResponse();

		$oldphoto=getone($table['categories'],'photo',"where id='{$ar['catid']}'");

		if($ar['newparentcat']=='')
		$ar['newparentcat']='-1';

		$r=updatecategory($ar);

		if($r['success']==1)
		{
			$oldphoto=$ar['catid'].'.'.getmimetype($oldphoto);
			
			if($_SESSION['uploadfile']!='')
			{

				@unlink(DATAPATH.'/photos/cat/thumb/'. $oldphoto);

				unset($oldphoto);

				$mimetype=getmimetype($_SESSION['uploadfile']);

				$pic=$ar['catid'] .'.'. $mimetype;

				//watermark
				if($ar['WATERMARK']==1)
				watermarkphoto_s(DATAPATH.'/upload/' . $_SESSION['uploadfile']);

				createthumb(DATAPATH.'/upload/' . $_SESSION['uploadfile'],DATAPATH.'/photos/cat/thumb/' . $pic,array('width'=>THUMBNAIL_WIDTH,'height'=>THUMBNAIL_HEIGHT),THUMBNAIL_CONSTRAIN);
				
				@unlink(DATAPATH.'/upload/' . $_SESSION['uploadfile']);

				$hash=md5_file(DATAPATH.'/photos/cat/thumb/'. $pic);
				$db->Execute("UPDATE {$table['categories']} set photo='".$ar['catid'] . '_' .$hash . '.' . $mimetype . "' where id='{$ar['catid']}'");

			}
			else
			{
				if($ar['WATERMARK']==1)
				{
					watermarkphoto_s(DATAPATH.'/photos/cat/thumb/'. $oldphoto);
					$hash=md5_file(DATAPATH.'/photos/cat/thumb/'. $oldphoto);
					$db->Execute("UPDATE {$table['categories']} set photo='".$ar['catid'] . '_' .$hash . '.' . getmimetype($oldphoto) . "' where id='{$ar['catid']}'");
				}
			}

			$_SESSION['uploadfile']='';

			$resp->addRedirect('editalbum.php?c=' . $ar['catid']. '&a=add');
		}
		else
		{
			$resp->addScriptCall('savephotoenable');
			$resp->addAssign('ajaxinfo_savealbum','innerHTML','<b>'.$r['msg'].'</b>');
		}

		return $resp;

	}
	function ajax_deletealbum($id)
	{
		global $table;
		$id=intval($id);
		$resp=New xajaxResponse();
		$parentid=getone($table['categories'],'parentcatid',"where id='$id'");
		deletecategory($id);
		$resp->addRedirect('review.php?c=' . $parentid . '&a=add');
		return $resp;

	}

	$xajax->processRequests();

	$id=(int)$_GET['c'];

	$smarty->assign('xajax',$xajax);
	$smarty->assign('xajax_dir',SITE_ROOT . '/jadro/libs/xajax/');
	$smarty->compile_dir = DATAPATH.'/admincache';
	$smarty->template_dir='./tpl/';
	$smarty->assign('usr',$_SESSION['admin']);

	$_SESSION['multipleupload']='1';
	$_SESSION['uploadfile']='';
	
	if($_GET['a']=='add')
	writecatstocache();
	
	$album=getrow($table['categories'],'*',"where id='$id'");

	$smarty->assign('chid',$album['chid']);
	$smarty->assign('uri',$album['catpath']);

	$smarty->assign('title','Album ' . $album['catname']);
	$smarty->assign('album',$album);
	$smarty->assign('cat',$album['parentcatid']);

	unset($album);
	
	$smarty->assign('conts_sel_cat',' id="c" class="ss" ');

	if(isset($_GET['saved']))
	$smarty->assign('saved',1);

	$smarty->register_function('nav_admin','nav_admin');
	$smarty->assign('WATERMARK',WATERMARK);
	$smarty->display('editalbum.tpl');
}
else
header('Location: index.php');